Package: org.gradle.api.plugins.sonar.model

## [Groovy] Class ModelToPropertiesConverter

- org.gradle.api.plugins.sonar.model.ModelToPropertiesConverter

- Converts a model object to a map of Sonar properties, guided by the information provided with `SonarProperty` and `IncludeProperties` annotations.

  deprecated:
    The 'sonar' plugin has been superseded by the official plugin from SonarQube, please see: http://docs.sonarqube.org/display/SONAR/Analyzing+with+Gradle

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List<groovy.lang.Closure>` | `propertyProcessors`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ModelToPropertiesConverter (Object model)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Map<String, String>` | `convert()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### List<groovy.lang.Closure> propertyProcessors

  - ### Constructor Detail

    - #### ModelToPropertiesConverter(Object model)

  - ### Method Detail

    - #### Map<String, String> convert()